#include <iostream>
#include "Function.h"
#include <ctime>

int main()
{
    std::srand(std::time(0));
    createData_stream();
    createData_generate<int>();
    std::deque<int> mydeque = loadData_stream<std::deque<int>>("Data.txt");
    std::vector<int> myvec = loadData_copy<std::vector<int>>("Data.txt");
    std::deque<int> res_deque = modify_template(mydeque);
    std::vector<int> res_vector(100);
    std::cout<<"\niter:\n";
    modify_iter(myvec.begin(), myvec.end(), res_vector.begin());
    for(const auto &elem:res_vector){
        std::cout<<elem<<" ";
    }
    std::cout<<"\nfor_each:\n";
    modify_for_each(myvec);
    for(const auto &elem:myvec){
        std::cout<<elem<<" ";
    }
    modify_transform<std::vector<int>>("Data.txt", "Data.txt");
    outputResult_stream("Data.txt", res_deque);
}